/*
 * BTreeElement.java
 *
 * Copyright (C) 1996 Paul Phillips <paulp@cerf.net>.
 * Permission granted for any use as long as this header is maintained.
 */

package btree;

/**
 * Defines the interface for elements of a BTree.  The print method
 * isn't really necessary, it's just useful for debugging; you can either
 * delete it or provide an empty print() method if it bothers you.  
 * 
 * You can assume that the passed BTreeElement will be of the same class 
 * as the one in which the method is invoked -- this is guaranteed by the
 * BTree before calling the methods.
 */

public interface BTreeElement {
    public boolean lessThan(BTreeElement data);
    public boolean equalTo(BTreeElement data);

    public void print();
}

