/*
 * IllegalComparisonException.java
 *
 * Copyright (C) 1996 Paul Phillips <paulp@cerf.net>.
 * Permission granted for any use as long as this header is maintained.
 */

package btree;

/**
 * Signals that an attempt was made to insert an element of a different
 * class than those already in the tree.  As written, all attempts to
 * insert, delete, or find elements must catch this exception.  If you
 * don't like this and are confident you will never do it by accident, you 
 * can write a BTree wrapper that catches this exception and ignores it.
 */

public class IllegalComparisonException extends Exception {
    public IllegalComparisonException() {
	super();
    }

    public IllegalComparisonException(String s) {
	super(s);
    }
}

